#pragma once

#include "OE_document.h"
#include "OE_interfaceDisplay.h"
#include "OE_controller.h"

struct OE_root
{
	OE_root() : document(0), display(0), interfaceDisplay(0), controller(0)
	{
	}

	OE_document* document;
	OE_display* display;
	OE_interfaceDisplay* interfaceDisplay;
	OE_controller* controller;
};

void startMain();

